from Lib.TestcaseBasicLibrary import *
from Pom.Home.Signin import *


class TestSignin:
    def setup_class(self):
        self.page = PageSignin(WebDriver()).open()

    def teardown_class(self):
        self.page.exit()

    @pytest.mark.parametrize(('username', 'password'), [['super', 'super'], ['guest', 'guest'], ['users', 'users']])
    def test_errors_signin(self, username, password):
        self.page.reload()
        self.page.input_user(username)
        self.page.input_pass(password)

    @pytest.mark.parametrize(('username', 'password'), [['admin', 'admin']])
    def test_normal_signin(self, username, password):
        self.page.reload()
        self.page.input_user(username)
        self.page.input_pass(password)
